> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revocalize.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Task Status

> This endpoint checks the status of a conversion task. This is useful if you want to check the status of a task that you submitted to the [convert audio file endpoint](/api-reference/synthesis/create).

### Request

<ParamField path="task_id" type="string" required>
  The task ID for the task you want to check the status of. This is generated in the response of the `/convert` endpoint.
</ParamField>

### Response

<ResponseField name="status" type="string">
  Indicates the status of the task. Possible values are `completed`, `in_progress`, and `failed`.
</ResponseField>

<ResponseField name="input_audio_url" type="string">
  The URL of the input audio file that was submitted for conversion.
</ResponseField>

<ResponseField name="output_audio_urls" type="array">
  An array with URLs for the converted vocal audio files, if the conversion was successful. Unless the `generations_count` parameter was set higher than 1, in the convert audio file request, this array will only contain one URL.
</ResponseField>

<ResponseField name="output_settings" type="object">
  The output settings used for the conversion task. This object contains the following properties:

  <Expandable title="output settings object">
    <ResponseField name="model" type="string">
      The ID of the model used for the conversion task.
    </ResponseField>

    <ResponseField name="transpose" type="integer">
      The number of semitones the input audio was transposed by during the conversion task. A positive value indicates an upward transposition, while a negative value indicates a downward transposition.
    </ResponseField>

    <ResponseField name="vocal_style" type="string">
      The vocal style used for the conversion task. Possible values are `melodic`, `rhythmic`, and `spoken`.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request GET 'https://api.revocalize.ai/check-task/12345'
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Finished Task theme={null}
  {
    "status": "completed",
    "input_audio_url": "https://cdn.revocalize.ai/12345/input.wav",
    "output_audio_urls": [
      "https://cdn.revocalize.ai/12345/output.wav"
    ],
    "output_settings": [
      "model": "andra"
      "transpose": -3,
      "vocal_style": "melodic"
    ]
  }
  ```

  ```json In progress Task theme={null}
  {
    "status": "in_progress"
  }
  ```

  ```json Failed Task theme={null}
  {
    "status": "failed"
  }
  ```
</ResponseExample>
